Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.coordination
Class EventWiringManagerBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.coordination.EventWiringManagerBean

    public class EventWiringManagerBean

extends java.lang.Object

Version:
  $Revision$
Author:
  Chris Laprun

Nested Class Summary
`static class` | `EventWiringManagerBean.DisplayEventWiring`
`static class` | `EventWiringManagerBean.WindowSelectItem`

Field Summary
`protected CoordinationManagerBean` | `managerBean`

Constructor Summary
`EventWiringManagerBean()`
`EventWiringManagerBean(CoordinationManagerBean managerBean)`

Method Summary
`java.lang.String` | `cancel()`
`java.lang.String` | `create()`
`java.lang.String` | `delete(java.lang.String name)`
`void` | `extractInfoFrom(Window window, org.jboss.portal.portlet.info.PortletInfo info)`
`java.util.List<QNameSelectItem>` | `getDestinationEvents()`
`java.util.List<EventWiringManagerBean.WindowSelectItem>` | `getDestinationWindows()`
`java.util.Collection<EventWiringManagerBean.DisplayEventWiring>` | `getDisplayEventWirings()`
`CoordinationManagerBean` | `getManagerBean()`
`java.lang.String` | `getSelectedDestinationEvent()`
`java.util.List<java.lang.String>` | `getSelectedDestinationWindows()`
`java.lang.String` | `getSelectedSourceEvent()`
`java.util.List<java.lang.String>` | `getSelectedSourceWindows()`
`java.util.List<QNameSelectItem>` | `getSourceEvents()`
`java.util.List<EventWiringManagerBean.WindowSelectItem>` | `getSourceWindows()`
`java.lang.String` | `getWiringName()`
`void` | `initKnowing(java.util.Collection<PortalObject> children)`
`void` | `loadInfoFrom(Page page)`
`java.lang.String` | `rename(java.lang.String oldName, java.lang.String newName)`
`java.lang.String` | `resetSelection()`
`void` | `selectDestinationEvent(javax.faces.event.ValueChangeEvent event)`
`void` | `selectDestinationWindows(javax.faces.event.ValueChangeEvent event)`
`void` | `selectSourceEvent(javax.faces.event.ValueChangeEvent event)`
`void` | `selectSourceWindows(javax.faces.event.ValueChangeEvent event)`
`void` | `setManagerBean(CoordinationManagerBean managerBean)`
`void` | `setSelectedDestinationEvent(java.lang.String selectedDestinationEvent)`
`void` | `setSelectedDestinationWindows(java.util.List<java.lang.String> selectedDestinationWindows)`
`void` | `setSelectedSourceEvent(java.lang.String selectedSourceEvent)`
`void` | `setSelectedSourceWindows(java.util.List<java.lang.String> selectedSourceWindows)`
`void` | `setWiringName(java.lang.String eventWiringName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### managerBean

    protected CoordinationManagerBean managerBean

Constructor Detail

### EventWiringManagerBean

    public EventWiringManagerBean()

### EventWiringManagerBean

    public EventWiringManagerBean(CoordinationManagerBean managerBean)

Method Detail

### loadInfoFrom

    public void loadInfoFrom(Page page)

### selectSourceEvent

    public void selectSourceEvent(javax.faces.event.ValueChangeEvent event)

### selectSourceWindows

    public void selectSourceWindows(javax.faces.event.ValueChangeEvent event)

### selectDestinationEvent

    public void selectDestinationEvent(javax.faces.event.ValueChangeEvent event)

### selectDestinationWindows

    public void selectDestinationWindows(javax.faces.event.ValueChangeEvent event)

### getDisplayEventWirings

    public java.util.Collection<EventWiringManagerBean.DisplayEventWiring> getDisplayEventWirings()

### getSourceEvents

    public java.util.List<QNameSelectItem> getSourceEvents()

### getDestinationEvents

    public java.util.List<QNameSelectItem> getDestinationEvents()

### getSourceWindows

    public java.util.List<EventWiringManagerBean.WindowSelectItem> getSourceWindows()

### getDestinationWindows

    public java.util.List<EventWiringManagerBean.WindowSelectItem> getDestinationWindows()

### getSelectedSourceEvent

    public java.lang.String getSelectedSourceEvent()

### setSelectedSourceEvent

    public void setSelectedSourceEvent(java.lang.String selectedSourceEvent)

### getSelectedSourceWindows

    public java.util.List<java.lang.String> getSelectedSourceWindows()

### setSelectedSourceWindows

    public void setSelectedSourceWindows(java.util.List<java.lang.String> selectedSourceWindows)

### getSelectedDestinationEvent

    public java.lang.String getSelectedDestinationEvent()

### setSelectedDestinationEvent

    public void setSelectedDestinationEvent(java.lang.String selectedDestinationEvent)

### getSelectedDestinationWindows

    public java.util.List<java.lang.String> getSelectedDestinationWindows()

### setSelectedDestinationWindows

    public void setSelectedDestinationWindows(java.util.List<java.lang.String> selectedDestinationWindows)

### getWiringName

    public java.lang.String getWiringName()

### setWiringName

    public void setWiringName(java.lang.String eventWiringName)

### create

    public java.lang.String create()

### resetSelection

    public java.lang.String resetSelection()

### delete

    public java.lang.String delete(java.lang.String name)
                            throws IllegalCoordinationException

  Throws:
    `IllegalCoordinationException`

### rename

    public java.lang.String rename(java.lang.String oldName,
                                   java.lang.String newName)
                            throws IllegalCoordinationException

  Throws:
    `IllegalCoordinationException`

### extractInfoFrom

    public void extractInfoFrom(Window window,
                                org.jboss.portal.portlet.info.PortletInfo info)

### initKnowing

    public void initKnowing(java.util.Collection<PortalObject> children)

### getManagerBean

    public CoordinationManagerBean getManagerBean()

### setManagerBean

    public void setManagerBean(CoordinationManagerBean managerBean)

### cancel

    public java.lang.String cancel()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD